Upstream information

CVE-2020-25275 at MITRE

Description

Dovecot before 2.3.13 has Improper Input Validation in lda, lmtp, and imap, leading to an application crash via a crafted email message with certain choices for ten thousand MIME parts.

SUSE information

Overall state of this security issue: Running

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 7.5
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1180406 [NEW]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise High Performance Computing 15-ESPOS
SUSE Linux Enterprise High Performance Computing 15-LTSS
  • dovecot23 >= 2.3.11.3-4.32.1
  • dovecot23-backend-mysql >= 2.3.11.3-4.32.1
  • dovecot23-backend-pgsql >= 2.3.11.3-4.32.1
  • dovecot23-backend-sqlite >= 2.3.11.3-4.32.1
  • dovecot23-devel >= 2.3.11.3-4.32.1
  • dovecot23-fts >= 2.3.11.3-4.32.1
  • dovecot23-fts-lucene >= 2.3.11.3-4.32.1
  • dovecot23-fts-solr >= 2.3.11.3-4.32.1
  • dovecot23-fts-squat >= 2.3.11.3-4.32.1
Patchnames:
SUSE-SLE-Product-HPC-15-2021-29
SUSE Linux Enterprise Module for Server Applications 15 SP1
  • dovecot23 >= 2.3.11.3-21.1
  • dovecot23-backend-mysql >= 2.3.11.3-21.1
  • dovecot23-backend-pgsql >= 2.3.11.3-21.1
  • dovecot23-backend-sqlite >= 2.3.11.3-21.1
  • dovecot23-devel >= 2.3.11.3-21.1
  • dovecot23-fts >= 2.3.11.3-21.1
  • dovecot23-fts-lucene >= 2.3.11.3-21.1
  • dovecot23-fts-solr >= 2.3.11.3-21.1
  • dovecot23-fts-squat >= 2.3.11.3-21.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP1-2021-27
SUSE Linux Enterprise Module for Server Applications 15 SP2
  • dovecot23 >= 2.3.11.3-17.5.1
  • dovecot23-backend-mysql >= 2.3.11.3-17.5.1
  • dovecot23-backend-pgsql >= 2.3.11.3-17.5.1
  • dovecot23-backend-sqlite >= 2.3.11.3-17.5.1
  • dovecot23-devel >= 2.3.11.3-17.5.1
  • dovecot23-fts >= 2.3.11.3-17.5.1
  • dovecot23-fts-lucene >= 2.3.11.3-17.5.1
  • dovecot23-fts-solr >= 2.3.11.3-17.5.1
  • dovecot23-fts-squat >= 2.3.11.3-17.5.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP2-2021-28
SUSE Linux Enterprise Server 15-LTSS
  • dovecot23 >= 2.3.11.3-4.32.1
  • dovecot23-backend-mysql >= 2.3.11.3-4.32.1
  • dovecot23-backend-pgsql >= 2.3.11.3-4.32.1
  • dovecot23-backend-sqlite >= 2.3.11.3-4.32.1
  • dovecot23-devel >= 2.3.11.3-4.32.1
  • dovecot23-fts >= 2.3.11.3-4.32.1
  • dovecot23-fts-lucene >= 2.3.11.3-4.32.1
  • dovecot23-fts-solr >= 2.3.11.3-4.32.1
  • dovecot23-fts-squat >= 2.3.11.3-4.32.1
Patchnames:
SUSE-SLE-Product-SLES-15-2021-29
SUSE Linux Enterprise Server for SAP Applications 15
  • dovecot23 >= 2.3.11.3-4.32.1
  • dovecot23-backend-mysql >= 2.3.11.3-4.32.1
  • dovecot23-backend-pgsql >= 2.3.11.3-4.32.1
  • dovecot23-backend-sqlite >= 2.3.11.3-4.32.1
  • dovecot23-devel >= 2.3.11.3-4.32.1
  • dovecot23-fts >= 2.3.11.3-4.32.1
  • dovecot23-fts-lucene >= 2.3.11.3-4.32.1
  • dovecot23-fts-solr >= 2.3.11.3-4.32.1
  • dovecot23-fts-squat >= 2.3.11.3-4.32.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-2021-29
openSUSE Leap 15.1
  • dovecot23 >= 2.3.11.3-lp151.2.15.1
  • dovecot23-backend-mysql >= 2.3.11.3-lp151.2.15.1
  • dovecot23-backend-mysql-debuginfo >= 2.3.11.3-lp151.2.15.1
  • dovecot23-backend-pgsql >= 2.3.11.3-lp151.2.15.1
  • dovecot23-backend-pgsql-debuginfo >= 2.3.11.3-lp151.2.15.1
  • dovecot23-backend-sqlite >= 2.3.11.3-lp151.2.15.1
  • dovecot23-backend-sqlite-debuginfo >= 2.3.11.3-lp151.2.15.1
  • dovecot23-debuginfo >= 2.3.11.3-lp151.2.15.1
  • dovecot23-debugsource >= 2.3.11.3-lp151.2.15.1
  • dovecot23-devel >= 2.3.11.3-lp151.2.15.1
  • dovecot23-fts >= 2.3.11.3-lp151.2.15.1
  • dovecot23-fts-debuginfo >= 2.3.11.3-lp151.2.15.1
  • dovecot23-fts-lucene >= 2.3.11.3-lp151.2.15.1
  • dovecot23-fts-lucene-debuginfo >= 2.3.11.3-lp151.2.15.1
  • dovecot23-fts-solr >= 2.3.11.3-lp151.2.15.1
  • dovecot23-fts-solr-debuginfo >= 2.3.11.3-lp151.2.15.1
  • dovecot23-fts-squat >= 2.3.11.3-lp151.2.15.1
  • dovecot23-fts-squat-debuginfo >= 2.3.11.3-lp151.2.15.1
Patchnames:
openSUSE-2021-72
openSUSE Leap 15.2
  • dovecot23 >= 2.3.11.3-lp152.2.6.1
  • dovecot23-backend-mysql >= 2.3.11.3-lp152.2.6.1
  • dovecot23-backend-mysql-debuginfo >= 2.3.11.3-lp152.2.6.1
  • dovecot23-backend-pgsql >= 2.3.11.3-lp152.2.6.1
  • dovecot23-backend-pgsql-debuginfo >= 2.3.11.3-lp152.2.6.1
  • dovecot23-backend-sqlite >= 2.3.11.3-lp152.2.6.1
  • dovecot23-backend-sqlite-debuginfo >= 2.3.11.3-lp152.2.6.1
  • dovecot23-debuginfo >= 2.3.11.3-lp152.2.6.1
  • dovecot23-debugsource >= 2.3.11.3-lp152.2.6.1
  • dovecot23-devel >= 2.3.11.3-lp152.2.6.1
  • dovecot23-fts >= 2.3.11.3-lp152.2.6.1
  • dovecot23-fts-debuginfo >= 2.3.11.3-lp152.2.6.1
  • dovecot23-fts-lucene >= 2.3.11.3-lp152.2.6.1
  • dovecot23-fts-lucene-debuginfo >= 2.3.11.3-lp152.2.6.1
  • dovecot23-fts-solr >= 2.3.11.3-lp152.2.6.1
  • dovecot23-fts-solr-debuginfo >= 2.3.11.3-lp152.2.6.1
  • dovecot23-fts-squat >= 2.3.11.3-lp152.2.6.1
  • dovecot23-fts-squat-debuginfo >= 2.3.11.3-lp152.2.6.1
Patchnames:
openSUSE-2021-26


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 dovecot22 Affected
SUSE CaaS Platform 4.0 dovecot23 Released
SUSE Enterprise Storage 5 dovecot22 Unsupported
SUSE Enterprise Storage 6 dovecot23 Released
SUSE Linux Enterprise High Performance Computing 12 SP5 dovecot22 Affected
SUSE Linux Enterprise High Performance Computing 15 LTSS dovecot23 Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS dovecot23 Released
SUSE Linux Enterprise Module for Server Applications 15 SP1 dovecot23 Released
SUSE Linux Enterprise Module for Server Applications 15 SP2 dovecot23 Released
SUSE Linux Enterprise Point of Service Image Server 12 dovecot22 Affected
SUSE Linux Enterprise Server 12 SP2 BCL dovecot22 Affected
SUSE Linux Enterprise Server 12 SP2 ESPOS dovecot22 Affected
SUSE Linux Enterprise Server 12 SP2 LTSS dovecot22 Affected
SUSE Linux Enterprise Server 12 SP3 BCL dovecot22 Affected
SUSE Linux Enterprise Server 12 SP3 ESPOS dovecot22 Affected
SUSE Linux Enterprise Server 12 SP3 LTSS dovecot22 Affected
SUSE Linux Enterprise Server 12 SP4 ESPOS dovecot22 Affected
SUSE Linux Enterprise Server 12 SP4 LTSS dovecot22 Affected
SUSE Linux Enterprise Server 12 SP5 dovecot22 Affected
SUSE Linux Enterprise Server 15 LTSS dovecot23 Affected
SUSE Linux Enterprise Server 15 SP1 Business Critical Linux dovecot23 Released
SUSE Linux Enterprise Server 15 SP1 LTSS dovecot23 Released
SUSE Linux Enterprise Server ESPOS 15 dovecot23 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 dovecot22 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 dovecot22 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 dovecot22 Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 dovecot22 Affected
SUSE Linux Enterprise Server for SAP Applications 15 dovecot23 Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 dovecot23 Released
SUSE Manager Proxy 4.0 dovecot23 Released
SUSE Manager Retail Branch Server 4.0 dovecot23 Released
SUSE Manager Server 4.0 dovecot23 Released
SUSE OpenStack Cloud 7 dovecot22 Affected
SUSE OpenStack Cloud 8 dovecot22 Affected
SUSE OpenStack Cloud 9 dovecot22 Affected
SUSE OpenStack Cloud Crowbar 8 dovecot22 Affected
SUSE OpenStack Cloud Crowbar 9 dovecot22 Affected